//
//  ChallongeError.swift
//  Amalgamation
//
//  Created by Charles Magahern on 10/8/17.
//

import Foundation

struct ChallongeError : LocalizedError
{
    enum Code
    {
        case unknown
        case parseFailure
        case tournamentNotFound
    }
    
    let code: Code
    
    init(_ code: Code)
    {
        self.code = code
    }
    
    public var errorDescription: String?
    {
        switch self.code {
        case .unknown:
            return NSLocalizedString("UNKNOWN_ERROR", comment: "")
        case .parseFailure:
            return NSLocalizedString("PARSE_ERROR", comment: "")
        case .tournamentNotFound:
            return NSLocalizedString("TOURNAMENT_NOT_FOUND_ERROR", comment: "")
        }
    }
}
