//
//  Participant.swift
//  Amalgamation
//
//  Created by Charles Magahern on 10/8/17.
//

import Foundation

struct Participant : Codable
{
    var id:              Int    = 0
    var name:            String = ""
    var dateCreated:     Date   = Date()
    var dateUpdated:     Date   = Date()
    var active:          Bool   = false
    var seed:            Int    = 0
    var tournamentID:    Int    = 0
    
    // MARK: Coding Support
    
    enum CodingKeys : String, CodingKey
    {
        case id
        case name
        case dateCreated = "created_at"
        case dateUpdated = "updated_at"
        case active
        case seed
        case tournamentID = "tournament_id"
    }
}

func ==(lhs: Participant, rhs: Participant) -> Bool
{
    return (lhs.id == rhs.id)
}
