//
//  DDR.swift
//  Amalgamation
//
//  Created by Charles Magahern on 9/20/18.
//

import Foundation

struct DDRChart : Codable
{
    enum Plurality : String, Codable
    {
        case single
        case double
    }
    
    enum Difficulty : String, Codable
    {
        case beginner
        case basic
        case difficult
        case expert
        case challenge
    }
    
    var plurality:  Plurality = .single
    var difficulty: Difficulty = .beginner
    var rating:     Int = 0
}

struct DDRSong : Codable
{
    var id:     Int?
    var title:  String = ""
    var artist: String = ""
    var bpm:    String?
    var chart:  DDRChart?
    var vetoed: Bool?
}

struct DDRMatch : Codable
{
    var playerOneName:  String?
    var playerTwoName:  String?
    var cardDraws:      [DDRSong] = []
}
