//
//  GeometryExtensions.swift
//  Amalgamation
//
//  Created by Charles Magahern on 4/14/18.
//

import Foundation
import SceneKit

extension SCNGeometry
{
    class func lineFrom(vector vector1: float3, toVector vector2: float3) -> SCNGeometry
    {
        let indices: [Int32] = [0, 1]
        let scnVector1 = SCNVector3(vector1)
        let scnVector2 = SCNVector3(vector2)
        let source = SCNGeometrySource(vertices: [scnVector1, scnVector2])
        let element = SCNGeometryElement(indices: indices, primitiveType: .line)
        
        return SCNGeometry(sources: [source], elements: [element])
    }
}
