//
//  TVSupport.swift
//  Amalgamation
//
//  Created by Charles Magahern on 4/26/16.
//

import Foundation
import UIKit

/* Values from https://developer.apple.com/tvos/human-interface-guidelines/visual-design/ */

struct TVLayoutTemplate
{
    var unfocusedContentWidth:      CGFloat
    var horizontalSpacing:          CGFloat
    var minimumVerticalSpacing:     CGFloat
}

struct TVConstants
{
    static let contentSafeZoneInsets     = UIEdgeInsets(top: 60.0, left: 90.0, bottom: 60.0, right: 90.0)
    
    static let threeColumnGridTemplate   = TVLayoutTemplate(unfocusedContentWidth: 548.0, horizontalSpacing: 48.0, minimumVerticalSpacing: 100.0)
    static let fourColumnGridTemplate    = TVLayoutTemplate(unfocusedContentWidth: 375.0, horizontalSpacing: 80.0, minimumVerticalSpacing: 100.0)
    static let fiveColumnGridTemplate    = TVLayoutTemplate(unfocusedContentWidth: 308.0, horizontalSpacing: 50.0, minimumVerticalSpacing: 100.0)
    static let sixColumnGridTemplate     = TVLayoutTemplate(unfocusedContentWidth: 250.0, horizontalSpacing: 48.0, minimumVerticalSpacing: 100.0)
    static let sevenColumnGridTemplate   = TVLayoutTemplate(unfocusedContentWidth: 204.0, horizontalSpacing: 52.0, minimumVerticalSpacing: 100.0)
    static let eightColumnGridTemplate   = TVLayoutTemplate(unfocusedContentWidth: 172.0, horizontalSpacing: 52.0, minimumVerticalSpacing: 100.0)
    static let nineColumnGridTemplate    = TVLayoutTemplate(unfocusedContentWidth: 148.0, horizontalSpacing: 51.0, minimumVerticalSpacing: 100.0)
}
