//
//  TournamentScreen.swift
//  Amalgamation
//
//  Created by Charles Magahern on 9/22/18.
//

import Foundation
import UIKit

protocol CustomTournamentScreen : Transitionable
{
    var shouldShowScreen: Bool { get }
}

struct TournamentScreenConfiguration
{
    var visibleMatchesRange: CountableClosedRange<Int>
    var interstitialView:    InterstitialView
}

struct TournamentScreen
{
    enum Content
    {
        case configuration(TournamentScreenConfiguration)
        case viewController(UIViewController & CustomTournamentScreen)
    }
    
    var interstitialView:   InterstitialView
    var content:            Content
}
