//
//  Transitionable.swift
//  Amalgamation
//
//  Created by Charles Magahern on 5/5/18.
//

import UIKit

struct Transition
{
    var duration:   TimeInterval
    var delay:      TimeInterval
    var options:    UIViewAnimationOptions
}

protocol Transitionable : class
{
    func prepareToTransitionToActive()
    func transitionToActive(transition: Transition, completion: @escaping (Bool) -> Void)
    
    func prepareToTransitionToInactive()
    func transitionToInactive(transition: Transition, completion: @escaping (Bool) -> Void)
}

extension Transitionable
{
    func prepareToTransitionToInactive()
    {}
    
    func prepareToTransitionToActive()
    {}
}
