//
//  PaddedLabel.swift
//  Amalgamation
//
//  Created by Charles Magahern on 6/12/18.
//

import UIKit

class PaddedLabel : UILabel
{
    var topInset:    CGFloat = 0.0
    var bottomInset: CGFloat = 0.0
    var leftInset:   CGFloat = 0.0
    var rightInset:  CGFloat = 0.0
    
    override func drawText(in rect: CGRect)
    {
        let insets = UIEdgeInsets.init(top: topInset, left: leftInset, bottom: bottomInset, right: rightInset)
        super.drawText(in: UIEdgeInsetsInsetRect(rect, insets))
    }
    
    override var intrinsicContentSize: CGSize
    {
        var intrinsicSuperViewContentSize = super.intrinsicContentSize
        intrinsicSuperViewContentSize.height += topInset + bottomInset
        intrinsicSuperViewContentSize.width += leftInset + rightInset
        return intrinsicSuperViewContentSize
    }
}
